
QGIS Application - Feature request #3232

Apply button and problem with not shown layers in snapping options

2010-11-18 07:49 AM - cmoe -

Status: Closed

Priority: Low

Assignee: Jürgen Fischer

Category: Digitising

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 13292

Description

Again this patch does to things:

1) Add an apply button if the snapping options are in non-docking mode (as requested by timlinux)

2) resolves a problem with layers that are not shown in the canvas: So we don't rely on the canvas but on the mapLayerRegistry. Also

needed a new signal, as the layerWillBeRemoved signal fires to early.

History

#1 - 2010-11-19 05:15 AM - cmoe -

The second version should do same thing as mentioned for the first version. This version (should) work without the introduction of a new signal.

#2 - 2010-11-28 09:23 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

applied in commit:44263084 (SVN r14778)

Files

qgssnappingdialog2.diff 4.73 KB 2010-11-18 cmoe -

qgssnappingdialog2_WithoutNewSignal.diff 5.63 KB 2010-11-19 cmoe -
